pipeline:
  backend-build:
    image: maven:3.9-eclipse-temurin-17
    commands:
      - echo "Building backend + frontend"
      - mvn clean install -Pprod -DskipTests
    when:
      branch:
        include:
          - main
          - master
          - develop
volumes:
  build:
    host:
      path: /tmp/woodpecker-artifacts
